APPC Transaction Program (TP) Server verbs must be asynchronous

Technote (troubleshooting)


Problem(Abstract)

APPC Transaction Program (TP) Server verbs must be asynchronous

Resolving the problem

The TP Server verbs in the APPC API require use of the APPC_Async entry point. These verbs must be called asynchronously.

If the verbs are called synchronously using the APPC entry point, you receive a primary return code of 0xFFFF. The following might appear in an API trace:

APPC   ----------------------- 12:47:30.01 ART  06 Dec 2002
APPC   ***UNKNOWN VERB*** request
APPC   ---- Verb Parameter Block at address 0xbffffaa0 ----
APP    04F10000 0000               .1....@@@@@@@@@@  ......
APPC   ----------------------- 12:47:30.01 ART  06 Dec 2002
APPC   ***UNKNOWN VERB*** response, result = INVALID_VERB
APPC   ---- Verb Parameter Block at address 0xbffffaa0 ----
APP    04F10000 FFFF               .1..@@@@@@@@@@@@  ......
The TP Server verbs are not allowed with the APPC() entry point; they are allowed only with the APPC_Asynch() entry point. A TP Server should not be blocked on a synchronous verb, because it could delay processing of an incoming attach.

For more information, see the Communications Server for AIX APPC Programmer's Guide or the Communications Server for Linux APPC Programmer's Guide


Cross reference information
Segment Product Component Platform Version Edition
Networking Communications Server for Linux All Linux Red Hat - xSeries, Linux SUSE - xSeries, Linux xSeries, Linux Red Hat - pSeries, Linux SUSE - pSeries, Linux Red Hat - zSeries, Linux SUSE - zSeries, Linux zSeries 6.2, 6.2.1, 6.2.2, 6.2.3, 6.2.3.1, 6.2.3.2, 6.4, 6.4.0.1, 6.4.0.2, 6.4.0.3, 6.4.0.4, 7.0.0.0
Networking Communications Server for Linux on zSeries All Linux Red Hat - zSeries, Linux SUSE - zSeries, Linux zSeries 6.2, 6.2.1, 6.2.2, 6.2.3, 6.2.3.1, 6.4, 6.2.3.2, 6.4.0.1, 6.4.0.2, 6.4.0.3, 6.4.0.4, 7.0.0.0
Networking IBM Communications Server for Data Center Deployment All AIX, Linux, Linux on System z 7.0.0.0

Product Alias/Synonym

CS/AIX CSLinux commserver

Rate this page:

(0 users)Average rating

Document information


More support for:

Communications Server for AIX
All

Software version:

5.0, 6.0, 6.1, 6.3, 6.3.1, 6.4, 6.4.0.1, 6.4.0.2, 6.4.0.3, 6.4.0.4, 7.0.0.0

Operating system(s):

AIX

Reference #:

1104491

Modified date:

2003-02-19

Translate my page

Machine Translation

Content navigation